{
    template: '${tmpl}',
    data: function () {
        return {
            activeName: 'first',
            label:"",
            BeginTime,"",
            pid:"",
            period:"",
            money:"",
            Remain:"",
            userId:"",

        }
    },
    mounted: function () {
        if (this.$store.state.currentUser) {
            this.userId = this.$store.state.currentUser.id;
            console.log(this.userName, "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxuser");
    }
    },
    created: function () {


    },
    methods: {
        handleClick(activeName) {
            console.log(activeName, "pppppppp");
        },
        Select() {
            axios.post('http://106.13.228.212:8009/gsb/zc/citylist', {
                "label": this.label,
                "userId":this.userId,
            }).then(d => {
                this.label=d.data.lable;
                this.BeginTime = d.data.BeginTime;
                this.pid = d.data.pid;
                this.period = d.data.period;
                this.money = d.data.money;
                this.Remain = d.data.Remain;
            })
        },
    },
    computed: {
        labelNew: function(){
            if (this.activeName =='first'){
                this.label = "全部"
            }if (this.activeName =='second') {
                this.label = "待支付"
            } if (this.activeName =='third') {
                this.label = "服务中"
            }if (this.activeName =='fourth') {
                this.label = "已服务"
            } else {
                this.label = "已失效"
            }
            console.log(this.activeName,"this.activeName");
            console.log(this.label,"this.label");
            
        }
    },
    vname: "policyorder"
}